(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     11012,        334]
NotebookOptionsPosition[     10178,        305]
NotebookOutlinePosition[     10690,        325]
CellTagsIndexPosition[     10647,        322]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "L", ",", 
       RowBox[{"L", "^", "2"}], ",", 
       RowBox[{"L", "^", "3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
       RowBox[{"2", "*", "L"}], ",", 
       RowBox[{"3", "*", 
        RowBox[{"L", "^", "2"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"L", "/", "2"}], ",", 
       RowBox[{
        RowBox[{"L", "^", "2"}], "/", "4"}], ",", 
       RowBox[{
        RowBox[{"L", "^", "3"}], "/", "8"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{
        RowBox[{"-", "L"}], "/", "2"}], ",", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"L", "^", "2"}]}], "/", "4"}], ",", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"L", "^", "3"}]}], "/", "8"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "L", ",", 
       RowBox[{
        RowBox[{"3", "/", "4"}], "*", 
        RowBox[{"L", "^", "2"}]}], ",", "0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{
        RowBox[{"-", "L"}], "+", 
        RowBox[{"2", "*", "K"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "3"}], "/", "4"}], "*", 
         RowBox[{"L", "^", "2"}]}], "+", 
        RowBox[{"3", "*", "K", "*", "L"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "2", ",", 
       RowBox[{"3", "*", "L"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", 
       RowBox[{
        RowBox[{"-", "3"}], "*", "L"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "6", ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", "6"}]}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6090502777104588`*^9, 3.6090504683269987`*^9}, 
   3.609050510268257*^9, {3.609052524479417*^9, 3.6090525341899996`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{"{", 
    RowBox[{
    "q1", ",", "q2", ",", "q3", ",", "q4", ",", "0", ",", "0", ",", "0", ",", 
     "0"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6090505356190176`*^9, 3.6090505456193175`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{"LinearSolve", "[", 
    RowBox[{"A", ",", "q"}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.609050563159844*^9, 3.609050582980438*^9}, 
   3.6090617210103965`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "Cm"}], "}"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Normal", "[", 
     RowBox[{"CoefficientArrays", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"q1", "\[Equal]", "a1"}], ",", 
         RowBox[{"q2", "\[Equal]", "a2"}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             RowBox[{"3", " ", "K", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", "q1"}], "-", 
                RowBox[{"2", " ", "q3"}], "+", 
                RowBox[{"L", " ", 
                 RowBox[{"(", 
                  RowBox[{"q2", "+", "q4"}], ")"}]}]}], ")"}]}], "+", 
             RowBox[{"2", " ", "L", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"3", " ", "q1"}], "-", 
                RowBox[{"3", " ", "q3"}], "+", 
                RowBox[{"L", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", " ", "q2"}], "+", "q4"}], ")"}]}]}], 
               ")"}]}]}], 
            RowBox[{"2", " ", 
             SuperscriptBox["L", "2"], " ", 
             RowBox[{"(", 
              RowBox[{"K", "+", "L"}], ")"}]}]]}], "\[Equal]", "a3"}], ",", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"2", " ", "q1"}], "-", 
            RowBox[{"2", " ", "q3"}], "+", 
            RowBox[{"L", " ", 
             RowBox[{"(", 
              RowBox[{"q2", "+", "q4"}], ")"}]}]}], 
           SuperscriptBox["L", "3"]], "\[Equal]", "a4"}], ",", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"2", " ", "L", " ", "q1"}], "+", 
            RowBox[{"K", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", "q1"}], "+", 
               RowBox[{"L", " ", 
                RowBox[{"(", 
                 RowBox[{"q2", "-", "q4"}], ")"}]}]}], ")"}]}]}], 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"K", "+", "L"}], ")"}]}]], "\[Equal]", "a5"}], ",", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"L", " ", "q2"}], "+", 
            RowBox[{"K", " ", "q4"}]}], 
           RowBox[{"K", "+", "L"}]], "\[Equal]", "a6"}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{
             RowBox[{"3", " ", "K", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", "q1"}], "-", 
                RowBox[{"2", " ", "q3"}], "+", 
                RowBox[{"L", " ", 
                 RowBox[{"(", 
                  RowBox[{"q2", "+", "q4"}], ")"}]}]}], ")"}]}], "+", 
             RowBox[{"2", " ", "L", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"3", " ", "q1"}], "-", 
                RowBox[{"3", " ", "q3"}], "+", 
                RowBox[{"L", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", " ", "q2"}], "+", "q4"}], ")"}]}]}], 
               ")"}]}]}], 
            RowBox[{"2", " ", 
             SuperscriptBox["L", "2"], " ", 
             RowBox[{"(", 
              RowBox[{"K", "+", "L"}], ")"}]}]]}], "\[Equal]", "a7"}], ",", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"2", " ", "q1"}], "-", 
            RowBox[{"2", " ", "q3"}], "+", 
            RowBox[{"L", " ", 
             RowBox[{"(", 
              RowBox[{"q2", "+", "q4"}], ")"}]}]}], 
           SuperscriptBox["L", "3"]], "\[Equal]", "a8"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"q1", ",", "q2", ",", "q3", ",", "q4"}], "}"}]}], "]"}], 
     "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.60905064171165*^9, 3.609050770584227*^9}, {
   3.6090508517468505`*^9, 3.609050883537486*^9}, 3.6090509207182293`*^9, {
   3.609052643697299*^9, 3.6090526795983763`*^9}, {3.6090527608108125`*^9, 
   3.609052768701049*^9}, {3.6090530772398796`*^9, 3.6090530800299354`*^9}, 
   3.6090617273804603`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"pol", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "x", ",", 
     RowBox[{"x", "^", "2"}], ",", 
     RowBox[{"x", "^", "3"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.609053300683688*^9, 3.6090533268739505`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"N1", "=", 
   RowBox[{"pol", ".", 
    RowBox[{"Cm", "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"1", ";;", "4"}], ",", 
       RowBox[{"1", ";;", "4"}]}], "]"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6090533614452963`*^9, 3.6090533771454535`*^9}, 
   3.609061736790554*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"N2", "=", 
   RowBox[{"pol", ".", 
    RowBox[{"Cm", "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"5", ";;", "8"}], ",", 
       RowBox[{"1", ";;", "4"}]}], "]"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{3.6090617377105637`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B1", "=", 
   RowBox[{"D", "[", 
    RowBox[{"N1", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "2"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.609053398095663*^9, 3.6090534065857477`*^9}, 
   3.609061742870615*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B2", "=", 
   RowBox[{"D", "[", 
    RowBox[{"N2", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "2"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.6090617435406218`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K1", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", "B1", ",", "B1"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", 
        RowBox[{"L", "/", "2"}]}], "}"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.609053560767289*^9, 3.6090535620773025`*^9}, {
   3.6090535947876296`*^9, 3.6090536139078207`*^9}, {3.6090539318951283`*^9, 
   3.6090539365151744`*^9}, {3.609053976495574*^9, 3.6090539776255856`*^9}, 
   3.609061744910636*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K2", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"Times", ",", "B2", ",", "B2"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"L", "/", "2"}], ",", "L"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.609053634548027*^9, 3.6090536617882996`*^9}, {
   3.609053968415493*^9, 3.609054002505834*^9}, 3.609061747040657*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Km", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"K1", "+", "K2"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6090545104251924`*^9, 3.609054524465473*^9}, {
  3.6091317523817234`*^9, 3.6091317731321383`*^9}}]
},
WindowSize->{707, 867},
WindowMargins->{{Automatic, 158}, {Automatic, 72}},
PrintingCopies->1,
PrintingPageRange->{32000, 32000},
PrintingOptions->{"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{595.1999999999999, 841.8}},
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 2281, 64, 112, "Input"],
Cell[2841, 86, 261, 7, 31, "Input"],
Cell[3105, 95, 237, 6, 31, "Input"],
Cell[3345, 103, 4116, 110, 303, "Input"],
Cell[7464, 215, 258, 7, 31, "Input"],
Cell[7725, 224, 332, 10, 31, "Input"],
Cell[8060, 236, 280, 9, 31, "Input"],
Cell[8343, 247, 270, 8, 31, "Input"],
Cell[8616, 257, 220, 7, 31, "Input"],
Cell[8839, 266, 592, 14, 31, "Input"],
Cell[9434, 282, 485, 13, 31, "Input"],
Cell[9922, 297, 252, 6, 31, "Input"]
}
]
*)

(* End of internal cache information *)
